# IceGrid::ServerInstanceDescriptor

## Overview

### [ "cpp:comparable" ] struct ServerInstanceDescriptor

A server template instance descriptor.

#### Used By

ServerInstanceDescriptorSeq
Admin::instantiateServer

## Data Member Index

template
  The template used by this instance.
parameterValues
  The template parameter values.
propertySet
  The property set.
servicePropertySets
  The services property sets.

## Data Members

string template;

  The template used by this instance.

StringStringDict parameterValues;

  The template parameter values.

PropertySetDescriptor propertySet;

  The property set.

PropertySetDescriptorDict servicePropertySets;

  The services property sets. It's only valid to set these property sets if the template is an IceBox server template.